#!/bin/bash
#
appname="selektor"
destfolder="/opt/$appname"

do_uninstall() {
if [ -e "$destfolder/uninstall.sh" ]
then
	"$destfolder/uninstall.sh" > /dev/null
fi
}

do_error() {
	echo
	echo "**************************************************"
	echo "SelekTOR install failed due to installation errors"
	echo "**************************************************"
	do_uninstall
	exit
}


# Error trapping on
set -e
trap do_error ERR
# Test if we have root permissions
if [ $EUID -eq 0 ]
then
	# Uninstall any previous install
	do_uninstall
	# Install files
	cp opt / -rf
	cp applications /usr/share -rf
        mv /usr/share/applications/selektor-autostart.desktop /etc/xdg/autostart -f
	cp "man" /usr/share -rf
	cp $appname /usr/bin -f
	# Indicate completion
	echo
	echo "***** SelekTOR Successfully Installed **********"
	echo "Uninstall Instructions for Debian based distro's"
	echo "sudo $destfolder/uninstall.sh"
	echo "Uninstall Instructions for non-debian distro's"
	echo "su -c $destfolder/uninstall.sh"
	echo "************************************************"
else
	echo
	echo "***************************************************"
	echo "SelekTOR install failed, requires root permissions."
	echo "***************************************************"
fi



